## vorcs 0.0.1-maemo1

=== src/linux/Makefile ===
TARGET = orc_bin

OFILES = ../ai.o \
	 ../buf.o \
	 ../chooser.o \
	 ../config.o \
	 ../dircontrol.o \
	 ../display.o \
	 ../dpdf.o \
	 ../engine.o \
	 ../firefly.o \
	 ../gfxengine.o \
	 ../glbdef.o \
	 ../grammar.o \
	 ../item.o \
	 ../main.o \
	 ../map.o \
	 ../mob.o \
	 ../msg.o \
	 ../panel.o \
	 ../rand.o \
	 ../scrpos.o \
	 ../speed.o \
	 ../text.o \
	 ../thread.o \
	 ../thread_linux.o

.cpp.o:
	g++ -O3 -DLINUX -I/usr/include/libtcod `sdl-config --cflags` -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++ -O3 -o $(TARGET) $(OFILES) -L/usr/lib/libtcod -ltcod -ltcodxx  `sdl-config --libs`

clean:
	rm -f ../*.o
	rm -f $(TARGET)

premake:
	cd .. ; ./support/enummaker/enummaker source.txt

=== debian/changelog ===
vorcs (0.0.1-maemo1) unstable; urgency=low

  * Uses backspace as additional escape
  * Saves to "/home/user/.orc.sav"
  * Width=800
  * No support for sounds
  * Uses system's libtcod-1.5.1
  * Fix for compiling with gcc-4.2


 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  7 Sep 2011 14:39:31 +0020

=== debian/control ===
Source: vorcs
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libsdl1.2-dev, libtcod-dev
Standards-Version: 3.7.2
Homepage: http://www.zincland.com/7drl/orcs/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: vorcs
Architecture: any
Depends: ${shlibs:Depends}
Description: Vicious Orcs is a Seven Day Roguelike written by Jeff Lait.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif

#maemo
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	CPPFLAGS += -fomit-frame-pointer
	#internal compiler error under maemo scratchbox
        #CPPFLAGS += -frename-registers
	CPPFLAGS += -ffast-math
	#omap2
#	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp 
	#omap3
#	CPPFLAGS += -mcpu=cortex-a8 -mfpu=vfp3 -mfloat-abi=softfp 
	CPPFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
	CPPFLAGS += -ftree-vectorize -fsingle-precision-constant
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	cd src/support/enummaker/ ; make
	cd src/linux/ ; make
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	cd src/support/enummaker/ ; make clean
	cd src/linux/ ; make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	CURDIR=$1

	#binary
	install -d  ${CURDIR}/debian/vorcs/opt/vorcs/bin
	install ${CURDIR}/src/linux/orc_bin ${CURDIR}/debian/vorcs/opt/vorcs/bin/

	#config
	install ${CURDIR}/orc.cfg ${CURDIR}/debian/vorcs/opt/vorcs/

	install ${CURDIR}/text.txt ${CURDIR}/debian/vorcs/opt/vorcs/
	install ${CURDIR}/README.TXT ${CURDIR}/debian/vorcs/opt/vorcs/
	install ${CURDIR}/linux/terminal.png ${CURDIR}/debian/vorcs/opt/vorcs/bin

	cp -r ${CURDIR}/rooms ${CURDIR}/debian/vorcs/opt/vorcs/

	#icon
	install -d  ${CURDIR}/debian/vorcs/usr/share/pixmaps 
	install ${CURDIR}/debian/vorcs.png  ${CURDIR}/debian/vorcs/usr/share/pixmaps/vorcs.png

	#menu 
	install -d ${CURDIR}/debian/vorcs/usr/share/applications/hildon
	install ${CURDIR}/debian/vorcs.desktop ${CURDIR}/debian/vorcs/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vorcs 0.0.1-maemo2

=== debian/changelog ===
vorcs (0.0.1-maemo2) unstable; urgency=low

  * Place of config file (/opt/vorcs/orc.cfg)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  7 Sep 2011 15:47:31 +0020

## vorcs 0.0.1-maemo3

=== debian/changelog ===
vorcs (0.0.1-maemo3) unstable; urgency=low

  * Typo

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  7 Sep 2011 16:02:31 +0020

## vorcs 0.0.1-maemo4

=== debian/changelog ===
vorcs (0.0.1-maemo4) unstable; urgency=low

  * Use started script

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  7 Sep 2011 18:52:31 +0020

=== debian/rules ===
--- 
+++ 
@@ -84,13 +84,16 @@
 	install -d  ${CURDIR}/debian/vorcs/opt/vorcs/bin
 	install ${CURDIR}/src/linux/orc_bin ${CURDIR}/debian/vorcs/opt/vorcs/bin/
 
+	#starter
+	install ${CURDIR}/debian/orc.sh ${CURDIR}/debian/vorcs/opt/vorcs/
+
 	#config
 	install ${CURDIR}/orc.cfg ${CURDIR}/debian/vorcs/opt/vorcs/
 
+	#data files
 	install ${CURDIR}/text.txt ${CURDIR}/debian/vorcs/opt/vorcs/
 	install ${CURDIR}/README.TXT ${CURDIR}/debian/vorcs/opt/vorcs/
 	install ${CURDIR}/linux/terminal.png ${CURDIR}/debian/vorcs/opt/vorcs/bin
-
 	cp -r ${CURDIR}/rooms ${CURDIR}/debian/vorcs/opt/vorcs/
 
 	#icon
